Angular plugin doesn't work on latest Rubymine 6.3?

Hello community!

Maybe is just me but 6.3 is not supporting AngularJS plugin? I get some completion but nothing big; just 3 completions.

When u guys write like this : "

  • AngularJS framework support with smart code completion, refactoring, navigation, and quick documentation"


It seems like it should work like a charm but it's not doing it? :(

Thanks in advance!

F/

7 comments

Do you have AngularJS plugin installed? It is not bundled by default, it needs to be installed via Settings | Plugins | Install JetBrains plugin 

0

Hej there!

I did! but it doesnt show much about Angular-tags, like it does when I run version 6.03

F/

0

In which file type are you missing code insight? Do you have AngularJS in your project sources or as JavaScript library?

0

my angular lib is coming directly from the net:

<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.0.1/angular.min.js"></script>



and this is what I get inside Rubymine, see the attach


Thanks for the concern!


Attachment(s):
Skärmavbild 2014-04-11 kl. 11.23.23.png
0

If you invoke quickfix (Alt + Enter) on a script it will download angular library for you and you will get all the required completion variants.

0

U are the man 2day Dennis!

Have a nice friday!

Thanks!

0

Please sign in to leave a comment.